'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require('react'));

var _propTypes = _interopRequireDefault(require('prop-types'));

var _makeStyles = _interopRequireDefault(require('@material-ui/styles/makeStyles'));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

var useStyles = (0, _makeStyles.default)(function () {
    return {
        root: {
            display: 'flex',
            flexDirection: 'row',
            justifyContent: 'center',
            alignItems: 'center'
        }
    };
});

var HorizontalList = function HorizontalList(_ref) {
    var children = _ref.children;
    var classes = useStyles();
    return /*#__PURE__*/ _react.default.createElement(
        'div',
        {
            className: classes.root
        },
        children
    );
};

HorizontalList.propTypes = {
    children: _propTypes.default.arrayOf(_propTypes.default.node)
};
HorizontalList.defaultProps = {
    children: []
};
var _default = HorizontalList;
exports.default = _default;
