'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.Secondary = exports.Primary = exports.default = void 0;

var _react = _interopRequireDefault(require('react'));

var _SiteHeader = _interopRequireDefault(require('../../../../complex/other/SiteHeader'));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

function _extends() {
    _extends =
        Object.assign ||
        function (target) {
            for (var i = 1; i < arguments.length; i++) {
                var source = arguments[i];
                for (var key in source) {
                    if (Object.prototype.hasOwnProperty.call(source, key)) {
                        target[key] = source[key];
                    }
                }
            }
            return target;
        };
    return _extends.apply(this, arguments);
}

function _toConsumableArray(arr) {
    return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
}

function _nonIterableSpread() {
    throw new TypeError(
        'Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.'
    );
}

function _unsupportedIterableToArray(o, minLen) {
    if (!o) return;
    if (typeof o === 'string') return _arrayLikeToArray(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === 'Object' && o.constructor) n = o.constructor.name;
    if (n === 'Map' || n === 'Set') return Array.from(o);
    if (n === 'Arguments' || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}

function _iterableToArray(iter) {
    if ((typeof Symbol !== 'undefined' && iter[Symbol.iterator] != null) || iter['@@iterator'] != null)
        return Array.from(iter);
}

function _arrayWithoutHoles(arr) {
    if (Array.isArray(arr)) return _arrayLikeToArray(arr);
}

function _arrayLikeToArray(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for (var i = 0, arr2 = new Array(len); i < len; i++) {
        arr2[i] = arr[i];
    }
    return arr2;
}

var _default = {
    title: 'complex/other/SiteHeader',
    component: _SiteHeader.default,
    decorators: [
        function (Story) {
            return /*#__PURE__*/ _react.default.createElement(
                'div',
                null,
                /*#__PURE__*/ _react.default.createElement(Story, null),
                _toConsumableArray(Array(20)).map(function () {
                    return /*#__PURE__*/ _react.default.createElement('div', null, 'content');
                })
            );
        }
    ]
};
exports.default = _default;

var createLabel = function createLabel(text) {
    return /*#__PURE__*/ _react.default.createElement('div', null, text);
};

var Template = function Template(args) {
    return /*#__PURE__*/ _react.default.createElement(
        _SiteHeader.default,
        _extends({}, args, {
            leftNodes: [createLabel('left element')],
            rightNodes: _toConsumableArray(Array(6)).map(function () {
                return createLabel('right element ');
            })
        })
    );
};

var Primary = Template.bind({});
exports.Primary = Primary;
Primary.args = {
    primary: true
};
var Secondary = Template.bind({});
exports.Secondary = Secondary;
Secondary.args = {
    primary: false
};
