'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.White = exports.Black = exports.default = void 0;

var _react = _interopRequireDefault(require('react'));

var _Hamburger = _interopRequireDefault(require('../../../core/Hamburger'));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

var _default = {
    title: 'Example/Hamburger',
    component: _Hamburger.default
};
exports.default = _default;

var Template = function Template(args) {
    return /*#__PURE__*/ _react.default.createElement(_Hamburger.default, args);
};

var Black = Template.bind({});
exports.Black = Black;
Black.args = {
    color: 'black'
};
var White = Template.bind({});
exports.White = White;
White.args = {
    color: 'white'
};
