'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.Arrow = exports.default = void 0;

var _react = _interopRequireDefault(require('react'));

var _LinkArrow = _interopRequireDefault(require('../../../core/LinkArrow'));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

var _default = {
    title: 'Example/LinkArrow',
    component: _LinkArrow.default
};
exports.default = _default;

var Template = function Template(args) {
    return /*#__PURE__*/ _react.default.createElement(_LinkArrow.default, args);
};

var Arrow = Template.bind({});
exports.Arrow = Arrow;
Arrow.args = {
    isArrow: true,
    fontSize: 80,
    color: '#868686',
    colorOnHover: '#FFFFFF',
    fontWeight: 400,
    isLinkActive: true,
    setActiveLink: function setActiveLink() {},
    title: 'link with arrow',
    label: 'LinkArrow'
};
