'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.Menu = exports.default = void 0;

var _react = _interopRequireDefault(require('react'));

var _MenuLinkList = _interopRequireDefault(require('../../../core/MenuLinkList'));

var _MENU_LINKS = require('../../../mocks/MENU_LINKS');

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

var _default = {
    title: 'Example/MenuLinkList',
    component: _MenuLinkList.default
};
exports.default = _default;

var Template = function Template(args) {
    return /*#__PURE__*/ _react.default.createElement(_MenuLinkList.default, args);
};

var Menu = Template.bind({});
exports.Menu = Menu;
Menu.args = {
    label: 'MenuLinkList',
    mocks: _MENU_LINKS.MENU_LINKS
};
