'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.Horizontal = exports.Vertical = exports.default = void 0;

var _core = require('@material-ui/core');

var _react = _interopRequireDefault(require('react'));

var _Divider = _interopRequireDefault(require('../../../core/Divider/Divider'));

var _List = _interopRequireDefault(require('../../../core/List'));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

var _default = {
    title: 'Example/List',
    component: _List.default
};
exports.default = _default;

var Template = function Template(args) {
    return /*#__PURE__*/ _react.default.createElement(
        _List.default,
        args,
        /*#__PURE__*/ _react.default.createElement(
            _core.Typography,
            {
                variant: 'h4'
            },
            'Trusted by'
        ),
        /*#__PURE__*/ _react.default.createElement(_Divider.default, {
            vertical: !args.vertical,
            margined: true
        }),
        /*#__PURE__*/ _react.default.createElement(
            _core.Typography,
            {
                variant: 'h5'
            },
            'Startups'
        ),
        /*#__PURE__*/ _react.default.createElement(
            _core.Typography,
            {
                variant: 'h5'
            },
            'Mature'
        ),
        /*#__PURE__*/ _react.default.createElement(
            _core.Typography,
            {
                variant: 'h5'
            },
            'businesses'
        )
    );
};

var Vertical = Template.bind({});
exports.Vertical = Vertical;
Vertical.args = {
    vertical: true
};
var Horizontal = Template.bind({});
exports.Horizontal = Horizontal;
Horizontal.args = {
    vertical: false,
    alignItems: 'baseline'
};
