'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.Menu = exports.default = void 0;

var _react = _interopRequireDefault(require('react'));

var _MenuSubLinks = _interopRequireDefault(require('../../../../core/MenuLinkList/MenuSubLinks'));

var _LinkWrapper = _interopRequireDefault(require('../../../../core/LinkWrapper'));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

var _default = {
    title: 'Example/MenuSubLinks',
    component: _MenuSubLinks.default
};
exports.default = _default;

var Template = function Template(args) {
    return /*#__PURE__*/ _react.default.createElement(_MenuSubLinks.default, args);
};

var Menu = Template.bind({});
exports.Menu = Menu;
Menu.args = {
    subtitle: 'Web',
    subLinks: [/*#__PURE__*/ _react.default.createElement(_LinkWrapper.default, null)],
    label: 'MenuSubLinks',
    color: '#FFFFFF',
    colorOnHover: '#EA3D26',
    fontSize: 35,
    fontWeight: 300,
    textTransform: 'inherit'
};
